<ion-header>
  <ion-toolbar>
    <ion-title>Orders</ion-title>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-row>
      <ion-input [(ngModel)]="useremail" name="useremail" hidden type="text" value="{{info}}">{{info}}</ion-input>
    </ion-row>
    <ion-row lines="inset" *ngFor="let orders of order;">
      <ion-col>
        <ion-item>
          <ion-label>
            <p *ngIf="orders.store_code == 'md'">Pharmacy:&nbsp;Mercury Drug<br/></p>
            <p *ngIf="orders.store_code == 'ss'">Pharmacy:&nbsp;South Star Drug<br/></p>
            <p *ngIf="orders.store_code == 'tgp'">Pharmacy:&nbsp;The Generics Pharmacy<br/></p>
            <p>Email:&nbsp;{{info}}<br/></p>
            <p>Address:&nbsp;{{orders.address}}<br/></p>
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label *ngIf="orders.med_one == 1">
            Medicine 1: Decolgen Forte<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:&nbsp;{{6*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 2">
            Medicine 1: Neozep Forte<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{5*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 3">
            Medicine 1: Solmux Advance<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{13*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 4">
            Medicine 1: Biogesic Paracetamol<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{4*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 5">
            Medicine 1: Bioflu<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{8*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 6">
            Medicine 1: Medicol Advance<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{11*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 7">
            Medicine 1: Alaxan FR<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{8*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 8">
            Medicine 1: Dolfenal<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{16*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 9">
            Medicine 1: Skelan<br/>
            Amount:&nbsp;{{orders.med_onequant}<br/>
            Price:{{19*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 10">
            Medicine 1: Diatabs<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{8*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 11">
            Medicine 1: Kremil-S Advance<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{20*orders.med_onequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_one == 12">
            Medicine 1: Buscopan<br/>
            Amount:&nbsp;{{orders.med_onequant}}<br/>
            Price:{{32*orders.med_onequant}}
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label *ngIf="orders.med_two == 1">
            Medicine 2: Decolgen Forte<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:&nbsp;{{6*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 2">
            Medicine 2: Neozep Forte<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{5*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 3">
            Medicine 2: Solmux Advance<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{13*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 4">
            Medicine 2: Biogesic Paracetamol<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{4*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 5">
            Medicine 2: Bioflu<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{8*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 6">
            Medicine 2: Medicol Advance<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{11*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 7">
            Medicine 2: Alaxan FR<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{8*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 8">
            Medicine 2: Dolfenal<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{16*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 9">
            Medicine 2: Skelan<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{19*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 10">
            Medicine 2: Diatabs<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{8*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 11">
            Medicine 2: Kremil-S Advance<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{20*orders.med_twoquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_two == 12">
            Medicine 2: Buscopan<br/>
            Amount:&nbsp;{{orders.med_twoquant}}<br/>
            Price:{{32*orders.med_twoquant}}
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label *ngIf="orders.med_three == 1">
            Medicine 3: Decolgen Forte<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:&nbsp;{{6*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 2">
            Medicine 3: Neozep Forte<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{5*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 3">
            Medicine 3: Solmux Advance<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{13*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 4">
            Medicine 3: Biogesic Paracetamol<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{4*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 5">
            Medicine 3: Bioflu<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{8*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 6">
            Medicine 3: Medicol Advance<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{11*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 7">
            Medicine 3: Alaxan FR<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{8*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 8">
            Medicine 3: Dolfenal<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{16*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 9">
            Medicine 3: Skelan<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{19*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 10">
            Medicine 3: Diatabs<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{8*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 11">
            Medicine 3: Kremil-S Advance<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{20*orders.med_threequant}}
          </ion-label>
          <ion-label *ngIf="orders.med_three == 12">
            Medicine 3: Buscopan<br/>
            Amount:&nbsp;{{orders.med_threequant}}<br/>
            Price:{{32*orders.med_threequant}}
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label *ngIf="orders.med_four == 1">
            Medicine 4: Decolgen Forte<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:&nbsp;{{6*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 2">
            Medicine 4: Neozep Forte<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{5*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 3">
            Medicine 4: Solmux Advance<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{13*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 4">
            Medicine 4: Biogesic Paracetamol<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{4*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 5">
            Medicine 4: Bioflu<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{8*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 6">
            Medicine 4: Medicol Advance<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{11*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 7">
            Medicine 4: Alaxan FR<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{8*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 8">
            Medicine 4: Dolfenal<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{16*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 9">
            Medicine 4: Skelan<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{19*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 10">
            Medicine 4: Diatabs<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{8*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 11">
            Medicine 4: Kremil-S Advance<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{20*orders.med_fourquant}}
          </ion-label>
          <ion-label *ngIf="orders.med_four == 12">
            Medicine 4: Buscopan<br/>
            Amount:&nbsp;{{orders.med_fourquant}}<br/>
            Price:{{32*orders.med_fourquant}}
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label *ngIf="orders.med_one == 1 && orders.med_two == 5 && orders.med_three == 7 && orders.med_four == 10">
            Total:&nbsp;P{{6*orders.med_onequant+8*orders.med_twoquant+8*orders.med_threequant+8*orders.med_fourquant}}
          </ion-label>
        </ion-item>
      </ion-col>
    </ion-row>
  </ion-list>
  <ion-button type="button" (click)="getOrder()" color="primary" shape="full" expand="block">
    View Order
  </ion-button>
</ion-content>
